<script setup>
// use in Khách hàng -> Giao dịch (<DataView :setting='customer-all-transaction'/>)
const props = defineProps({
  row: Object,
  api: String,
  pagename: String,
})

const emit = defineEmits(['open']);

function onClick() {
  const modal = {
    component: 'common/ProductInfo', 
    title: 'Sản phẩm',
    width: '60%',
    height: '400px',
    vbind: { row: props.row, pagename: props.pagename }
  }
  emit('open', { name: 'dataevent', data: { modal } });
}
</script>
<template>
  <span class="dot-primary" @click="onClick()">{{ row.count_product }}</span>
</template>